petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexGetCone

Return the points on the in-edges for this point in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCone(DM dm, PetscInt p, const PetscInt *cone[])

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()

### Output Parameter

cone -An array of points which are on the in-edges for point p

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

You must also call DMPlexRestoreCone() after you finish using the returned array.

### See Also

DMPlexCreate(), DMPlexSetCone(), DMPlexSetChart()

### Level

beginner

### Location

src/dm/impls/plex/plex.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages